| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::TableViewModel::Item Class Reference

## Public Member Functions
void | addChild (Item *const newChild)
Item * | findChildWithImageId (const qlonglong searchImageId)
void | insertChild (const int pos, Item *const newChild)
void | takeChild (Item *const oldChild)

## Public Attributes
QList< Item * > | children
qlonglong | imageId = 0
Item * | parent = nullptr